<template>
  <div>
    <form @submit.prevent>
      <v-card-text>
        <v-text-field
          label="E-mail"
          prepend-icon="mdi-email"
          type="text"
          v-model="account.email"
          color="indigo accent-3"
        ></v-text-field>
        <v-text-field
          label="Password"
          prepend-icon="mdi-key"
          type="password"
          v-model="account.password"
          color="indigo accent-3"
        ></v-text-field>
      </v-card-text>
    </form>
    <div class="text-center mt-3 mb-5">
      <v-btn rounded color="indigo accent-3" dark @click="signUP"
        >ลงทะเบียน</v-btn
      >
    </div>
  </div>
</template>

<script>
import { setTimeout } from 'timers'
import { auth } from '@/services/firebase'
import Swal from 'sweetalert2'

export default {
  layout: 'blog',
  data() {
    return {
      account: {
        email: '',
        password: '',
      },
    }
  },
  mounted() {
    console.log('SignUP Page')
  },
  methods: {
    signUP() {
      auth
        .createUserWithEmailAndPassword(
          this.account.email,
          this.account.password
        )
        .then(() => {
          const Toast = Swal.mixin({
            toast: true,
            position: 'top',
            showConfirmButton: false,
            timer: 2000,
            timerProgressBar: true,
            didOpen: (toast) => {
              toast.addEventListener('mouseenter', Swal.stopTimer)
              toast.addEventListener('mouseleave', Swal.resumeTimer)
            },
          })

          Toast.fire({
            icon: 'success',
            title: 'ลงทะเบียนสำเร็จ',
          })
          this.account.email = ''
          this.account.password = ''
        })
        .catch((error) => {
          if (error == 'auth/weak-password') {
            Swal.fire({
              icon: 'error',
              title: 'เสียใจด้วย...',
              text: 'E-mail คุณได้ลงทะเบียนไปแล้ว หรือใส่ข้อมูลไม่ครบ',
            })
          } else {
            Swal.fire({
              icon: 'error',
              title: 'เสียใจด้วย...',
              text: 'E-mail คุณได้ลงทะเบียนไปแล้ว หรือใส่ข้อมูลไม่ครบ',
            })
          }
        })
    },
  },
}
</script>
